Subject: [PATCH 0/6] minor cleanups to fast-export --anonymize

From: Jeff King <[email-masked]>
Date: Wed, 22 Mar 2023 13:36:36 -0400

My goal here was cleaning up some -Wunused-parameter warnings, but doing
so required a few preparatory cleanups, one of which actually fixes a
really minor bug (in patch 4).

  [1/6]: fast-export: drop const when storing anonymized values
  [2/6]: fast-export: simplify initialization of anonymized hashmaps
  [3/6]: fast-export: factor out anonymized_entry creation
  [4/6]: fast-export: de-obfuscate --anonymize-map handling
  [5/6]: fast-export: drop data parameter from anonymous generators
  [6/6]: fast-export: drop unused parameter from anonymize_commit_message()

 builtin/fast-export.c            | 81 ++++++++++++++++++--------------
 t/t9351-fast-export-anonymize.sh |  2 +
 2 files changed, 47 insertions(+), 36 deletions(-)

-Peff